Subject: [bug#31582] git-annex make install

From: Joey Hess <[email-masked]>
Date: Fri, 1 Jun 2018 13:26:42 -0400

Thanks for your work on this package, I'm excited to see it.

You could avoid most of the problems with Setup.hs by using git-annex's
Makefile. That has targets to build the man pages and install
everything. The equivilant code in Setup.hs is really only there to
minimally support people installing with haskell tooling, but the
Makefile is generally preferable for distribution use.

Also, I'd encourage you to enable S3 and WebDAV in the build, since
those are often used, and you're not testing all the other storage
backends that are already supported in your build; nor should you need
to. `git-annex testremote` is there so users can test this stuff in
their own environments.

-- 
see shy jo